<?php
header('Content-Type: application/json');
header('Cache-Control: no-store, no-cache, must-revalidate, max-age=0');
header('Cache-Control: post-check=0, pre-check=0', false);
header('Pragma: no-cache');

require_once('../settings.php');

if (W_TRANSMISSION_ENABLED) {
    echo shell_exec('./json_transmission.sh ' . W_TRANSMISSION_HOST . ' '
                                              . W_TRANSMISSION_NAME . ' '
                                              . W_TRANSMISSION_PASS);
} else {
    echo '[]';
}
